#include <arduino.h>
#include <libmaple/adc.h>
#include <myAdc.h>

myAdc::myAdc()
{
  //nastaveni doby vzorkovani
  adc_set_sample_rate(ADC1, ADC_SMPR_1_5);
  adc_set_sample_rate(ADC2, ADC_SMPR_1_5);
  //nastaveni delky sequence
  adc_set_reg_seqlen(ADC1, 1);
  adc_set_reg_seqlen(ADC2, 1);
}

void myAdc::read()
{

  for (byte i = 0; i < 10; i += 2)
  {
    adc1Regs->SQR3 = i;
    adc2Regs->SQR3 = i + 1;

    //zacni prevadet
    adc1Regs->CR2 |= ADC_CR2_SWSTART;
    adc2Regs->CR2 |= ADC_CR2_SWSTART;

    while (!((adc1Regs->SR & ADC_SR_EOC) & (adc2Regs->SR & ADC_SR_EOC))) //ceka dokud neni dokoncen prevod
      ;

    //ulozi data
    values[i] = (adc1Regs->DR & ADC_DR_DATA);
    values[i + 1] = (adc2Regs->DR & ADC_DR_DATA);
  }
}

